Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515873 - [abrt] gnome-calendar: icaltimezone_get_utc_offset(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: icaltimezone_get_utc_offset(): gnome-calendar killed b...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aba901cfa302aff8f533e0f0552...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 14:11 UTC by brhahlen
Modified: 2018-08-02 15:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:35:23 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: cgroup (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: core_backtrace (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: cpuinfo (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: dso_list (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: environ (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: exploitable (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: limits (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: maps (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: mountinfo (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: open_fds (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details
File: proc_pid_status (deleted)
2017-11-21 14:11 UTC, brhahlen
no flags Details

Description brhahlen 2017-11-21 14:11:13 UTC
Version-Release number of selected component:
gnome-calendar-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icaltimezone_get_utc_offset
executable:     /usr/bin/gnome-calendar
journald_cursor: s=cd746cd4f0eb4aa58cf848b20b0fa095;i=43767a;b=a40d3e82b0a44f8f9c81b2b8de8514e9;m=65400f21c;t=55e51e912b88f;x=abd26cb2adafff18
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 icaltimezone_get_utc_offset at /usr/src/debug/libical-2.0.0-12.fc27.x86_64/src/libical/icaltimezone.c:866
 #1 icaltimezone_convert_time at /usr/src/debug/libical-2.0.0-12.fc27.x86_64/src/libical/icaltimezone.c:743
 #2 icaltime_convert_to_zone at /usr/src/debug/libical-2.0.0-12.fc27.x86_64/src/libical/icaltime.c:1027
 #3 e_timetype_hash at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-recur.c:80
 #4 e_instance_time_hash at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-recur.c:154
 #5 g_hash_table_lookup_node at ghash.c:379
 #6 g_hash_table_insert_internal at ghash.c:1233
 #7 e_cal_recur_generate_instances_sync at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-recur.c:456
 #8 e_cal_recur_generate_instances at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-recur.c:1335
 #9 generate_instances at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libecal/e-cal-client.c:2721

Potential duplicate: bug 1484724

Comment 1 brhahlen 2017-11-21 14:11:19 UTC
Created attachment 1356703 [details]
File: backtrace

Comment 2 brhahlen 2017-11-21 14:11:21 UTC
Created attachment 1356704 [details]
File: cgroup

Comment 3 brhahlen 2017-11-21 14:11:23 UTC
Created attachment 1356705 [details]
File: core_backtrace

Comment 4 brhahlen 2017-11-21 14:11:24 UTC
Created attachment 1356706 [details]
File: cpuinfo

Comment 5 brhahlen 2017-11-21 14:11:26 UTC
Created attachment 1356707 [details]
File: dso_list

Comment 6 brhahlen 2017-11-21 14:11:28 UTC
Created attachment 1356708 [details]
File: environ

Comment 7 brhahlen 2017-11-21 14:11:29 UTC
Created attachment 1356709 [details]
File: exploitable

Comment 8 brhahlen 2017-11-21 14:11:30 UTC
Created attachment 1356710 [details]
File: limits

Comment 9 brhahlen 2017-11-21 14:11:33 UTC
Created attachment 1356711 [details]
File: maps

Comment 10 brhahlen 2017-11-21 14:11:35 UTC
Created attachment 1356712 [details]
File: mountinfo

Comment 11 brhahlen 2017-11-21 14:11:36 UTC
Created attachment 1356713 [details]
File: open_fds

Comment 12 brhahlen 2017-11-21 14:11:38 UTC
Created attachment 1356714 [details]
File: proc_pid_status

Comment 13 xapeiron 2018-02-24 21:20:47 UTC
*** Bug 1548766 has been marked as a duplicate of this bug. ***

Comment 14 hernantz 2018-03-20 20:08:27 UTC
*** Bug 1558696 has been marked as a duplicate of this bug. ***

Comment 15 bearsdontcare 2018-04-30 16:17:33 UTC
*** Bug 1573264 has been marked as a duplicate of this bug. ***

Comment 16 moonl1ght 2018-07-02 08:10:35 UTC
*** Bug 1597177 has been marked as a duplicate of this bug. ***

Comment 17 Igor Gnatenko 2018-08-02 15:35:23 UTC
Please test with latest updates and reopen if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.